Create iDEAL Transaction

The Create iDEAL Transaction request performs a transaction using the iDEAL payment method. For implementation details, see iDEAL.

Request Content

Send an altTransaction object with the following properties:

PropertyTypeRequirement
amountdecmialrequired
currencystringrequired
idealTransactionobjectrequired. See idealTransaction
merchantTransactionIdstringoptional
payerInfoobjectrequired. See payerInfo.
productDescriptionstringoptional
softDescriptorstringoptional
transactionMetadataobjectoptional. See transactionMetaData.
vaultedShopperIdintegerrequired for a returning shopper. See vaultedShopper .
vendorsInfoobjectoptional. See vendorsInfo.

Response Details

Successful requests return the HTTP response status code 200 OK and a response body that contains the following properties:

PropertyNotes
amount
currency
fraudResultInfoSee fraudResultInfo.
idealTransactionSee idealTransaction.
payerInfoSee payerInfo.
processingInfoSee processingInfo
productDescription
transactionId
vaultedShopperId

Examples

Request Examples

curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
    "idealTransaction": {
        "returnUrl": "https://127.0.0.1/r?good=true",
    },
    "amount": 118,
    "payerInfo": {
        "zip": "12345",
        "firstName": "David",
        "lastName": "Smith",
        "country": "de"
    },
    "currency": "EUR"
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
    "idealTransaction": {
        "returnUrl": "https://127.0.0.1/r?good=true",
        "issuerId": "TESTNL2A"
    },
    "amount": 118,
    "payerInfo": {
        "zip": "12345",
        "firstName": "David",
        "lastName": "Smith",
        "country": "de"
    },
    "currency": "EUR"
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "idealTransaction": {
    "issuerId": "INGBNL2A",
    "returnUrl": "http://www.returnURL.com"
  },
  "vaultedShopperId": 20769005,
  "amount": 57,
  "currency": "EUR"
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/alt-transactions/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 50,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "nl"
  },
  "idealTransaction": {
    "returnUrl": "http://www.returnURL.com"
  },
  "vendorsInfo": {
    "vendorInfo": [
      {
        "vendorId": 837389
      }
    ]
  }
}'

Response Examples

{
  "amount": 42,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "nl"
  },
  "vaultedShopperId": 28538973,
  "idealTransaction": {
    "issuerId": "TESTNL2A",
    "idealUrl": "https://eu.gcsip.nl/orb/orb?ACTION=DO_START&REF=000000410000189819470000100001&MAC=1mIB9PXVj7r6tDRnFuIcOm31geLvBVGXXPYDubOunDM%3D"
  },
  "processingInfo": {
    "processingStatus": "PENDING",
    "transactionRegion": "UK"
  }
}
{
  "amount": 57,
  "currency": "EUR",
  "vaultedShopperId": 20769005,
  "idealTransaction": {
    "issuerId": "INGBNL2A",
    "idealUrl": "https://eu.gcsip.nl/orb/orb?ACTION=DO_START&REF=000000410000189819490000100001&MAC=X0DltkJtDMVsl1thPA%2BsQ3Zx3fXoZ5nrkgP53iRHW2E%3D"
  },
  "processingInfo": {
    "processingStatus": "PENDING"
  }
}
{
  "vendorsInfo": {
    "vendorInfo": [
      {
        "vendorId": 837389,
        "commissionPercent": 30
      }
    ]
  },
  "amount": 50,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "country": "nl"
  },
  "vaultedShopperId": 28538979,
  "idealTransaction": {
    "idealUrl": "https://eu.gcsip.nl/orb/orb?ACTION=DO_START&REF=000000410000189823150000100001&MAC=EjyS8ltyAnMY37AwFA7OjxqDJtjXv6GFZXSzjMEFlM4%3D",
    "orderId": 18982315
  },
  "processingInfo": {
    "processingStatus": "PENDING"
  }
}

API Explorer

Body Params
float
Defaults to 42
string
Defaults to EUR
payerInfo
object
idealTransaction
object
Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!